Subject: RE: Problem with font-lock

From: Fred Kunz <[email-masked]>
Date: Thu, 11 Apr 1996 11:09:27 -0700

This is the way I set these up.  Please see font-lock.el.

	 (setq font-lock-face-attributes 
	       (list
		'(font-lock-comment-face "Yellow")
		'(font-lock-string-face "Brown")
		'(font-lock-keyword-face "OrangeRed")
		'(font-lock-function-name-face "MediumVioletRed")
		'(font-lock-variable-name-face "Goldenrod")
		'(font-lock-type-face "Gold")
		'(font-lock-referenct-face "MediumBlue")))

----------
From: 	Geoff Voelker[SMTP:[email-masked]]
Sent: 	Wednesday, April 10, 1996 8:37 PM
To: 	[email-masked]
Cc: 	[email-masked]
Subject: 	Re: Problem with font-lock

> I am getting an error on startup that says:
> 
> Error in init file: Wrong type argument: internal-facep, font-lock-comment-face
> 
> I believe I am initializing font lock correctly (it works in my .emacs
> when using XEmacs 19.13), but it fails on the emacs.

I'm not exactly sure what the problem is, but I suspect that the code
doesn't port directly from XEmacs.  I also tried your file out on
the unix version, and encountered the same error as on NT.  The error
occured when evaluating the following commands:

> (set-face-foreground 'font-lock-comment-face        "dark red")
> (set-face-foreground 'font-lock-keyword-face        "blue")
> (set-face-foreground 'font-lock-string-face         "dark green")
> (set-face-foreground 'font-lock-variable-name-face  "blue")
> (set-face-foreground 'font-lock-function-name-face  "blue")

These faces seem to be defined in font-lock.el, but I didn't look into
it any further so I don't know what the cause is.

-geoff